Bug 51632 - install weirdness with cylinder boundaries
install weirdness with cylinder boundaries
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-13 09:57 EDT by Chris Ricker
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-21 02:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-08-13 09:57:41 EDT
I attempted a clean upgrade (meaning, during GUI anaconda told it to mkfs
all existing partitions) of a system running RH 7.1.  When I did this, I
was told by the installer that:

"Partition 1 isn't aligned to cylinder boundaries.  Need to add support for
and then the installer quit.

This is quite bizarre, since the same partition table had happily installed

At any rate, it looks like the 7.2 betas are seeing disk layouts
differently than 7.1, and that there's possibly been a loss of
functionality from 7.1 (but maybe not, since I don't think 7.1 would do
non-aligned partitions either?).

I finally had to zero the existing partition table and re-create partitions
to get the install to proceed.  If I'd been doing a traditional upgrade
from 7.1 (meaning, just convert ext2 -> ext3 rather than mkfs) I'd have
been SOL.
Comment 1 Michael Fulbright 2001-08-13 11:15:22 EDT
Its unfortunate you erased the partition table - is there anyway of recreating
it? Otherwise there is little we can do with this bug report.

I have not heard any other cases of this occurring, so it would be nice if you
could reproduce it.
Comment 2 Chris Ricker 2001-08-13 13:14:38 EDT
Here are the old cylinder boundaries, which I'd actually written down (sorry, I
don't have a full dump of that partition table, but maybe this is better than

   Device     Start       End   Id
/dev/hde1         1        41   83
/dev/hde2        42     89355    5
/dev/hde5        42      1082   82
/dev/hde6      1083      1603   83
/dev/hde7      1604     15826   83
/dev/hde8     15827     31268   83
/dev/hde9     31269     89355   83

And here's the working partition table from beta3 fdisk:

[kaboom@verdande kaboom]$ sudo /sbin/fdisk -l /dev/hde

Disk /dev/hde: 16 heads, 63 sectors, 89355 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hde1   *         1        43     21640+  83  Linux
/dev/hde2            44     89355  45013248    5  Extended
/dev/hde5            44      1084    524632+  82  Linux swap
/dev/hde6          1085      1605    262552+  83  Linux
/dev/hde7          1606     15828   7168360+  83  Linux
/dev/hde8         15829     31270   7782736+  83  Linux
/dev/hde9         31271     89355  29274808+  83  Linux
[kaboom@verdande kaboom]$ 
Comment 3 Glen Foster 2001-08-13 15:09:25 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 4 Michael Fulbright 2001-08-20 11:17:32 EDT
We would really need to see the C/H/S start and end of each partition.  Thanks
for the additional information anyways.

Jermemy - would you try purposely making a bad partition table (try changing the
number of heads/cyl/sectors in fdisk expert mode) and see if this message appears?
Comment 5 Chris Ricker 2001-08-21 02:18:10 EDT
If you set the C/H/S on the drive to 16 heads, 63 sectors, 89355 cylinders
 and use the above original boundaries, it should recreate the original setup
Comment 6 Matt Wilson 2001-08-21 12:16:10 EDT
this message came from the pc98 support, which is now disabled.  This case
should be working again with rc2 and later.

Note You need to log in before you can comment on or make changes to this bug.